<div class="card bg-light" *ngIf="entrada">
  <div class="card-header">Tipo de Registro: {{entrada.descripcion.toUpperCase()}}</div>
  <div class="card-body">
    <ul class="list-group my-2">
      <li class="list-group-item list-group-item-primary">Datos del Registro</li>
      <li class="list-group-item">Número de Registro: {{entrada.id}}</li>
      <li class="list-group-item">Fecha: {{entrada.createAt}}</li>
    </ul>

    <table class="table table-striped table-hover table-bordered my-3">
      <thead>
        <tr>
          <th>Producto</th>
          <th>Costo</th>
          <th>Cantidad</th>

          <th>Total</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of entrada.items">
          <td>{{item.producto.nombre}}</td>
          <td>{{item.producto.precio}}</td>
          <td>{{item.cantidad}}</td>

          <td>{{item.importe}}</td>
        </tr>
      </tbody>
    </table>
    <h5 class="float-right">
      <span>Gran Total</span>: <span class="badge badge-secondary">{{entrada.total}}</span>
    </h5>

    <div class="card border-info mb-4" style="max-width: 350px;">
      <div class="card card-header">
        Observaciones
      </div>
      <div class="card card-body">
        <p *ngIf="!entrada.observacion">No tiene observación</p>
        <p *ngIf="entrada.observacion">{{entrada.observacion}}</p>
      </div>

    </div>
  </div>
</div>
